import { EntityAction, EntityActionEvent } from '@journeyapps-labs/reactor-mod';
import { EditorTheme } from '../stores/MonacoThemeStore';
export declare class ChangeEditorThemeAction extends EntityAction<EditorTheme> {
    static ID: string;
    static NAME: string;
    constructor();
    protected fireEvent(event: EntityActionEvent<EditorTheme>): Promise<any>;
    static get(): ChangeEditorThemeAction;
}
